# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: google/cloud/datacatalog/v1/policytagmanagerserialization.proto for package 'Google.Cloud.DataCatalog.V1'
# Original file comments:
# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

require 'grpc'
require 'google/cloud/datacatalog/v1/policytagmanagerserialization_pb'

module Google
  module Cloud
    module DataCatalog
      module V1
        module PolicyTagManagerSerialization
          # Policy Tag Manager serialization API service allows clients to manipulate
          # their policy tags and taxonomies in serialized format, where taxonomy is a
          # hierarchical group of policy tags.
          class Service

            include ::GRPC::GenericService

            self.marshal_class_method = :encode
            self.unmarshal_class_method = :decode
            self.service_name = 'google.cloud.datacatalog.v1.PolicyTagManagerSerialization'

            # Creates new taxonomies (including their policy tags) by importing from
            # inlined source or cross-regional source. New taxonomies will be created in
            # a given parent project.
            #
            # If using the cross-regional source, a new taxonomy is created by copying
            # from a source in another region.
            #
            # If using the inlined source, this method provides a way to bulk create
            # taxonomies and policy tags using nested proto structure.
            rpc :ImportTaxonomies, ::Google::Cloud::DataCatalog::V1::ImportTaxonomiesRequest, ::Google::Cloud::DataCatalog::V1::ImportTaxonomiesResponse
            # Exports taxonomies as the requested type and returns the taxonomies
            # including their policy tags. The requested taxonomies must belong to one
            # project.
            #
            # SerializedTaxonomy protos with nested policy tags that are generated by
            # this method can be used as input for future ImportTaxonomies calls.
            rpc :ExportTaxonomies, ::Google::Cloud::DataCatalog::V1::ExportTaxonomiesRequest, ::Google::Cloud::DataCatalog::V1::ExportTaxonomiesResponse
          end

          Stub = Service.rpc_stub_class
        end
      end
    end
  end
end
